### Method

# Camel MimeParser seek

since: 2.22

#### Declaration [src]

    goffset
    camel_mime_parser_seek (
      CamelMimeParser* parser,
      goffset offset,
      gint whence
    )

#### Description [src]

Reset the source position to a known value.

Note that if the source stream/descriptor was not positioned at 0 to begin with, and an absolute seek is specified (whence != SEEK_CUR), then the seek position may not match the desired seek position.

Available since: 2.22

#### Parameters

`offset`

  Type: `goffset`

  Number of bytes to offset the seek by.

`whence`

  Type: `gint`

  SEEK_SET, SEEK_CUR, SEEK_END.

#### Return value

Type: `goffset`

The new seek offset, or -1 on an error (for example, trying to seek on a non-seekable stream or file descriptor).